package com.brilliance.isc.basesel.fxtsel.service.impl;

import com.brilliance.isc.funds.bo.Fxd;
import com.brilliance.isc.mda.dao.FxdselMapper;
import com.brilliance.isc.funds.vo.FxdVo;
import com.brilliance.isc.basesel.fxtsel.service.FxdselService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class FxdselServiceImpl implements FxdselService {
    @Resource
    private FxdselMapper fxdselMapper;
    @Override
    public PageInfo<Fxd> query(FxdVo vo) {

        PageHelper.startPage(vo.getPageNo(), vo.getPageSize(), null).setReasonable(true);
        List<Fxd> result= fxdselMapper.query(vo);
        return  new PageInfo<>(result);

//        String branch = fxtselQueryVo.getBranch();
//        if (Strings.isEmpty(branch)) {
//            branch = SettleContext.getSessionUserVo().getOwnOrgDepartmentNumber();
//        }
//        Bch bch = bchService.getDirectAccBch(branch); //获取到当前登录柜员的记账机构
//        if (Objects.isNull(bch) && !Objects.equals(branch, "1000")) {//非总行机构一定会获取到记账机构，如果没获取到则抛出异常
//            SettleExceptionUtils.sysDump("未获取到机构信息！");
//        }
//        if(!Objects.isNull(bch)){
//            fxtselQueryVo.setBchinr(bch.getInr());
//            //查询归属机构集合
//            List<Bch> bchList = bchService.listAllChildSubBchByAccBch(bch.getBranch());
//            if (bchList != null) {
//                fxtselQueryVo.setBchLst(bchList);
//            }
//        }
//        PageHelper.startPage(fxtselQueryVo.getPageNumber(), fxtselQueryVo.getPageSize()).setReasonable(true);
//        List<CpdWithPtsCbbResponseVo> cpdList = cpdMapper.queryCpd(fxtselQueryVo);
//        for (CpdWithPtsCbbResponseVo cpd:cpdList) {
//            if(!MdaUtils.isEmpty(cpd.getPyeExtkey())) {
//                cpd.setPyeExtkey(cpd.getPyeExtkey().split("-")[0]);
//            }
//            if(!MdaUtils.isEmpty(cpd.getOrcExtkey())) {
//                cpd.setOrcExtkey(cpd.getOrcExtkey().split("-")[0]);
//            }
//        }
//        return new PageInfo(cpdList);

    }


}
